NTPTIME(8) | System Manager's Manual | NTPTIME(8)

# NAME

ntptime — read kernel time variables

# SYNOPSIS

ntptime | [-chr] [-e est_error] [-f frequency] [-m max_error] [-o offset] [-s status] [-t time_constant]

# DESCRIPTION

This program is useful only with special kernels described in the A Kernel Model for Precision Timekeeping page in /usr/share/doc/html/ntp/kern.html. It reads and displays time-related kernel variables using the ntp_gettime(2) system call. A similar display can be obtained using the ntpdc program and kerninfo command.

# OPTIONS

-c
  Display the execution time of ntptime itself.
-e est_error
  Specify estimated error, in microseconds.
-f frequency
  Specify frequency offset, in parts per million.
-h
  Display times in Unix timeval format. Default is NTP format.
-l
  Specify the leap bits as a code from 0 to 3.
-m max_error
  Display help information.
-o offset
  Specify clock offset, in microseconds.
-r
  Display Unix and NTP times in raw format.
-s status
  Specify clock status. Better know what you are doing.
-t time_constant
  Specify time constant, an integer in the range 0-4.

# AUTHORS

David L. Mills (mills@udel.edu)

March 29, 2000 | NetBSD 6.0